Bug 965712 - Package seems abandoned
Package seems abandoned
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dkms (Show other bugs)
rawhide
All All
unspecified Severity high
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On: 761457 787801 822227 912300 965667 965672 965685 965701 966266
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 11:22 EDT by Simone Caronni
Modified: 2013-07-15 21:48 EDT (History)
7 users (show)

See Also:
Fixed In Version: dkms-2.2.0.3-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 21:04:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simone Caronni 2013-05-21 11:22:07 EDT
Description of problem:
Package seems abandoned; there is no activtiy on it since June 2012. And the activity has been somewhat limited.

There are many bugs pending, some very old; and the spec file is in horrible shape; with suse and mandriva checks in it; wrong requirements and still using SysV init scripts also for Fedora.

Version-Release number of selected component (if applicable):
dkms-2.2.0.3-5.fc19
dkms-2.2.0.3-4.fc18
dkms-2.2.0.3-2.el5
dkms-2.2.0.3-2.el6
dkms-2.2.0.3-3.fc17

This request is to start the missing package mantainer process [1]; as I'm offering myself as a mantainer since I'm using this at work.

At the moment, the last update pushed is in January 2012 and the last login is almost a year old.

$ ./fedora_active_user.py --user  sunilgupta
FAS password for slaanesh: 
Last login in FAS:
   sunilgupta 2012-06-05
Last action on koji:
   Fri, 11 Jan 2013 package list entry created: dkms in f18-final by ausil [still active]
Last package update on bodhi:
   2012-01-11 19:13:28 on package dkms-2.2.0.3-1.el5

[1] https://fedoraproject.org/wiki/Package_maintainer_policy#What_to_do_if_a_maintainer_is_absent

I'm attaching all the pending bugs here.
Comment 1 Simone Caronni 2013-05-23 11:10:21 EDT
Hello,

I've updated the package. The spec file has been formatted and all cruft removed.

Spec URL: http://slaanesh.fedorapeople.org/dkms/dkms.spec
SRPM URL: http://slaanesh.fedorapeople.org/dkms/dkms-2.2.0.3-6.fc18.src.rpm

The spec file can be used to build packages for RHEL 5, RHEL 6, Fedora 17, Fedora 18+ with the various variants of systemd/sysv scripts and macros.

It updates the latest dkms with new systemd scripts where appropriate as specified in the guidelines.

Probably before committing, it must be updated to enable systemd only on Fedora 19+ as current policies prohibit the switch between SysV/systemd implementations on a supported release.

I've also built RHEL/CentOS 6 and Fedora 18 packages with Koji if someone needs them. Any feedback is much appreciated.

http://slaanesh.fedorapeople.org/dkms/dkms-2.2.0.3-6.el6.noarch.rpm
http://slaanesh.fedorapeople.org/dkms/dkms-2.2.0.3-6.fc18.noarch.rpm

Regards,
--Simone
Comment 2 Simone Caronni 2013-05-24 04:13:40 EDT
Please note that for autostarting it by default it needs an exception from Fesco.

RHEL 5/6 and Fedora 17 need an addition to the spec file; Fedora 18+ needs a bug on systemd for the addition of the service to the preset file.
Comment 3 Kevin Fenzi 2013-06-11 15:34:09 EDT
I can ack this as a FESCo member. ;) 

We need to simply wait 3 days for any objections now.
Comment 4 Fedora Admin XMLRPC Client 2013-06-14 18:11:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2013-06-20 07:22:55 EDT
dkms-2.2.0.3-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.fc19
Comment 6 Fedora Update System 2013-06-20 07:24:18 EDT
dkms-2.2.0.3-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.fc18
Comment 7 Fedora Update System 2013-06-20 07:26:02 EDT
dkms-2.2.0.3-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.fc17
Comment 8 Fedora Update System 2013-06-20 07:28:43 EDT
dkms-2.2.0.3-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.el6
Comment 9 Fedora Update System 2013-06-20 07:31:19 EDT
dkms-2.2.0.3-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.el5
Comment 10 Fedora Update System 2013-06-20 14:05:15 EDT
Package dkms-2.2.0.3-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dkms-2.2.0.3-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11369/dkms-2.2.0.3-7.fc19
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-06-26 03:22:19 EDT
dkms-2.2.0.3-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.fc19
Comment 12 Fedora Update System 2013-06-26 03:24:58 EDT
dkms-2.2.0.3-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.fc18
Comment 13 Fedora Update System 2013-06-26 03:29:58 EDT
dkms-2.2.0.3-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.fc17
Comment 14 Fedora Update System 2013-06-26 03:33:00 EDT
dkms-2.2.0.3-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.el6
Comment 15 Fedora Update System 2013-06-26 03:34:19 EDT
dkms-2.2.0.3-8.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.el5
Comment 16 Fedora Update System 2013-07-15 21:04:55 EDT
dkms-2.2.0.3-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-07-15 21:09:22 EDT
dkms-2.2.0.3-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-07-15 21:26:07 EDT
dkms-2.2.0.3-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-07-15 21:42:09 EDT
dkms-2.2.0.3-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-07-15 21:48:32 EDT
dkms-2.2.0.3-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.